
Name:           qdirstat
Version:        1.5
Release:        %mkrel 2
Summary:        Directory Statistics
License:        GPL-2.0
Group:          File tools
Url:            https://github.com/shundhammer/qdirstat
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5widgets-devel 


%description
QDirStat is a graphical application to show where your disk space has gone and
to help you to clean it up.

This is a Qt-only port of the old Qt3/KDE3-based KDirStat, now based on the
latest Qt 5. It does not need any KDE libs or infrastructure. It runs on every
X11-based desktop on Linux, BSD and other Unix-like systems.


%prep
%setup -q

%build
qmake-qt5
make

%install
rm -rf %buildroot
make install INSTALL_ROOT=%{buildroot} 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%files
%defattr(-,root,root)
%doc README.md LICENSE doc/cache-file-format.txt doc/*.md
%{_bindir}/qdirstat
%{_bindir}/qdirstat-cache-writer
%{_datadir}/applications/qdirstat.desktop
%{_datadir}/icons/hicolor/
%dir %{_docdir}/%name/stats/
%{_docdir}/%name/stats/*.md

%changelog
* Thu Dec 05 2019 tex - 1.5-2pclos2019
- rebuild against updates

* Thu Mar 28 2019 tex 1.5-1pclos2019
- new

* Mon Jan 30 2017 bb <bb> 1.1-2pclos2017
- adjust desktop file

* Wed Dec 14 2016 bb <bb> 1.1-1pclos2017
- import

